Bug 166536 - [maintainer update] graphics/opennurbs
[maintainer update] graphics/opennurbs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
Depends on:
  Show dependency treegraph
Reported: 2012-03-31 17:00 UTC by fernando.apesteguia
Modified: 2012-04-02 17:50 UTC (History)
0 users

See Also:

file.diff (577 bytes, patch)
2012-03-31 17:00 UTC, fernando.apesteguia
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fernando.apesteguia 2012-03-31 17:00:23 UTC
I originally sent this as a new port[1] using ${INSTALL_DATA} to install the library archive but, at some time that changed to ${INSTALL_LIB}.

If we use INSTALL_LIB, the archive gets stripped so important symbols as "ON::Begin" (the initialization function) are removed from the static library.

I fall back to ${INSTALL_DATA} instead of overriding ${STRIP}

[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=164376

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/graphics/opennurbs && make
cd work/opennurbs_20111122

Execute these two commands to notice the difference:

readelf --syms libopenNURBS.a | grep -i begin
readelf --syms /usr/local/lib/libopenNURBS.a | grep -i begin
Comment 1 Edwin Groothuis freebsd_committer 2012-03-31 18:28:35 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 jgh@FreeBSD.org freebsd_committer 2012-04-01 20:54:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 3 jgh@FreeBSD.org freebsd_committer 2012-04-02 07:47:44 UTC
State Changed
From-To: open->feedback

any thoughts on the build issue here: 
Comment 4 dfilter freebsd_committer 2012-04-02 17:47:52 UTC
jgh         2012-04-02 16:47:38 UTC

  FreeBSD ports repository

  Modified files:
    graphics/opennurbs   Makefile 
  - move from INSTALL_LIB to INSTALL_DATA for libopenNURBS.a symbol inclusion
  - while here drop redundant MKDIR
  PR:     ports/166536
  Submitted by:   maintainer, fernando.apesteguia@gmail.com
  Feature safe:   yes
  Revision  Changes    Path
  1.4       +2 -2      ports/graphics/opennurbs/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 jgh@FreeBSD.org freebsd_committer 2012-04-02 17:49:35 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!